package cardsim

import "math/rand"

// Player stores all gameplay state for one player.
type Player[C StatsCollection] struct {
	Stats           C
	Name            string
	Deck            *Deck[C]
	Hand            []Card[C]
	HandLimit       int
	Rules           *RuleCollection[C]
	Rand            rand.Rand
	Turn            int
	PendingMessages []Message
}
